CUTLASS: cutlass::gemm::warp::DefaultMmaTensorOp< WarpShape_, InstructionShape_, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator_, PartitionsK, AccumulatorsInRowMajor, PartitionsN > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
cutlass::gemm::warp::DefaultMmaTensorOp< WarpShape_, InstructionShape_, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator_, PartitionsK, AccumulatorsInRowMajor, PartitionsN > Struct Template Reference

Partial specialization for m-by-n-by-kgroup.

`#include <default_mma_tensor_op.h>`

## Public Types
using | Policy = cutlass::gemm::warp::MmaTensorOpPolicy< cutlass::arch::Mma< InstructionShape_, 32, ElementA, cutlass::layout::RowMajor, ElementB, cutlass::layout::ColumnMajor, ElementC, cutlass::layout::RowMajor, Operator_ >, cutlass::MatrixShape< 1, 1 > >
using | Type = cutlass::gemm::warp::MmaTensorOp< WarpShape_, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Policy, PartitionsK, AccumulatorsInRowMajor, PartitionsN >

## Member Typedef Documentation

template<typename WarpShape_ , typename InstructionShape_ , typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementC , typename LayoutC , typename Operator_ , int PartitionsK, bool AccumulatorsInRowMajor, int PartitionsN>

using cutlass::gemm::warp::DefaultMmaTensorOp< WarpShape_, InstructionShape_, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator_, PartitionsK, AccumulatorsInRowMajor, PartitionsN >::Policy = cutlass::gemm::warp::MmaTensorOpPolicy< cutlass::arch::Mma<InstructionShape_, 32, ElementA, cutlass::layout::RowMajor, ElementB, cutlass::layout::ColumnMajor, ElementC, cutlass::layout::RowMajor, Operator_>, cutlass::MatrixShape<1, 1> >

template<typename WarpShape_ , typename InstructionShape_ , typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementC , typename LayoutC , typename Operator_ , int PartitionsK, bool AccumulatorsInRowMajor, int PartitionsN>

using cutlass::gemm::warp::DefaultMmaTensorOp< WarpShape_, InstructionShape_, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Operator_, PartitionsK, AccumulatorsInRowMajor, PartitionsN >::Type = cutlass::gemm::warp::MmaTensorOp< WarpShape_, ElementA, LayoutA, ElementB, LayoutB, ElementC, LayoutC, Policy, PartitionsK, AccumulatorsInRowMajor, PartitionsN>

The documentation for this struct was generated from the following file:

- default_mma_tensor_op.h